Bug 2198 - Some accounts migrated with "net rpc vampire" from NT to Samba have pasword disabled.
Some accounts migrated with "net rpc vampire" from NT to Samba have pasword d...
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.10
All Linux
: P3 normal
: none
Assigned To: Jim McDonough
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-29 13:20 UTC by John Janosik
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments
set password_last_set time to current time if none is specified. (632 bytes, patch)
2005-01-05 09:03 UTC, Jim McDonough
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Janosik 2004-12-29 13:20:24 UTC
Samba NULLs out passwords for accounts that have a last password change time of
0 with the assumption that a password last change time of 0 is different than a
default password last change for new accounts.  When an account from NT with the
password last change field not set in the SAM is migrated the password last
change time is set to 0 by default.  This prevents the account from
authenticating even though it worked OK in the NT domain.
Comment 1 Jim McDonough 2005-01-05 09:03:58 UTC
Created attachment 878 [details]
set password_last_set time to current time if none is specified.

Attaching patch from jpjanosi@us.ibm.com
Comment 2 Jim McDonough 2005-01-05 09:04:27 UTC
Applied patch from jpjanosi@us.ibm.com
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:19:51 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.